# -*- encoding: utf-8 -*-
# stub: rodauth 2.36.0 ruby lib

Gem::Specification.new do |s|
  s.name = "rodauth".freeze
  s.version = "2.36.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/jeremyevans/rodauth/issues", "changelog_uri" => "https://rodauth.jeremyevans.net/rdoc/files/CHANGELOG.html", "documentation_uri" => "https://rodauth.jeremyevans.net/documentation.html", "mailing_list_uri" => "https://github.com/jeremyevans/rodauth/discussions", "source_code_uri" => "https://github.com/jeremyevans/rodauth" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jeremy Evans".freeze]
  s.date = "2024-07-23"
  s.description = "Rodauth is Ruby's most advanced authentication framework, designed\nto work in all rack applications.  It's built using Roda and Sequel,\nbut it can be used as middleware in front of web applications that use\nother web frameworks and database libraries.\n\nRodauth aims to provide strong security for password storage by\nutilizing separate database accounts if possible on PostgreSQL,\nMySQL, and Microsoft SQL Server.  Configuration is done via\na DSL that makes it easy to override any part of the authentication\nprocess.\n\nRodauth supports typical authentication features: such as login and\nlogout, changing logins and passwords, and creating, verifying,\nunlocking, and resetting passwords for accounts.  Rodauth also\nsupports many advanced authentication features:\n\n* Secure password storage using security definer database functions\n* Multiple primary multifactor authentication methods (WebAuthn and\n  TOTP), as well as backup multifactor authentication methods (SMS\n  and recovery codes).\n* Passwordless authentication using email links and WebAuthn\n  authenticators.\n* Both standard HTML form and JSON API support for all features.\n".freeze
  s.email = "code@jeremyevans.net".freeze
  s.extra_rdoc_files = ["README.rdoc".freeze, "CHANGELOG".freeze, "MIT-LICENSE".freeze, "doc/account_expiration.rdoc".freeze, "doc/active_sessions.rdoc".freeze, "doc/argon2.rdoc".freeze, "doc/audit_logging.rdoc".freeze, "doc/base.rdoc".freeze, "doc/change_login.rdoc".freeze, "doc/change_password.rdoc".freeze, "doc/change_password_notify.rdoc".freeze, "doc/close_account.rdoc".freeze, "doc/confirm_password.rdoc".freeze, "doc/create_account.rdoc".freeze, "doc/disallow_common_passwords.rdoc".freeze, "doc/disallow_password_reuse.rdoc".freeze, "doc/email_auth.rdoc".freeze, "doc/email_base.rdoc".freeze, "doc/error_reasons.rdoc".freeze, "doc/http_basic_auth.rdoc".freeze, "doc/internal_request.rdoc".freeze, "doc/json.rdoc".freeze, "doc/jwt.rdoc".freeze, "doc/jwt_cors.rdoc".freeze, "doc/jwt_refresh.rdoc".freeze, "doc/lockout.rdoc".freeze, "doc/login.rdoc".freeze, "doc/login_password_requirements_base.rdoc".freeze, "doc/logout.rdoc".freeze, "doc/otp.rdoc".freeze, "doc/otp_lockout_email.rdoc".freeze, "doc/otp_modify_email.rdoc".freeze, "doc/otp_unlock.rdoc".freeze, "doc/password_complexity.rdoc".freeze, "doc/password_expiration.rdoc".freeze, "doc/password_grace_period.rdoc".freeze, "doc/password_pepper.rdoc".freeze, "doc/path_class_methods.rdoc".freeze, "doc/recovery_codes.rdoc".freeze, "doc/remember.rdoc".freeze, "doc/reset_password.rdoc".freeze, "doc/reset_password_notify.rdoc".freeze, "doc/session_expiration.rdoc".freeze, "doc/single_session.rdoc".freeze, "doc/sms_codes.rdoc".freeze, "doc/two_factor_base.rdoc".freeze, "doc/update_password_hash.rdoc".freeze, "doc/verify_account.rdoc".freeze, "doc/verify_account_grace_period.rdoc".freeze, "doc/verify_login_change.rdoc".freeze, "doc/webauthn.rdoc".freeze, "doc/webauthn_autofill.rdoc".freeze, "doc/webauthn_login.rdoc".freeze, "doc/webauthn_modify_email.rdoc".freeze, "doc/webauthn_verify_account.rdoc".freeze, "doc/release_notes/1.0.0.txt".freeze, "doc/release_notes/1.1.0.txt".freeze, "doc/release_notes/1.10.0.txt".freeze, "doc/release_notes/1.11.0.txt".freeze, "doc/release_notes/1.12.0.txt".freeze, "doc/release_notes/1.13.0.txt".freeze, "doc/release_notes/1.14.0.txt".freeze, "doc/release_notes/1.15.0.txt".freeze, "doc/release_notes/1.16.0.txt".freeze, "doc/release_notes/1.17.0.txt".freeze, "doc/release_notes/1.18.0.txt".freeze, "doc/release_notes/1.19.0.txt".freeze, "doc/release_notes/1.2.0.txt".freeze, "doc/release_notes/1.20.0.txt".freeze, "doc/release_notes/1.21.0.txt".freeze, "doc/release_notes/1.22.0.txt".freeze, "doc/release_notes/1.23.0.txt".freeze, "doc/release_notes/1.3.0.txt".freeze, "doc/release_notes/1.4.0.txt".freeze, "doc/release_notes/1.5.0.txt".freeze, "doc/release_notes/1.6.0.txt".freeze, "doc/release_notes/1.7.0.txt".freeze, "doc/release_notes/1.8.0.txt".freeze, "doc/release_notes/1.9.0.txt".freeze, "doc/release_notes/2.0.0.txt".freeze, "doc/release_notes/2.1.0.txt".freeze, "doc/release_notes/2.10.0.txt".freeze, "doc/release_notes/2.11.0.txt".freeze, "doc/release_notes/2.12.0.txt".freeze, "doc/release_notes/2.13.0.txt".freeze, "doc/release_notes/2.14.0.txt".freeze, "doc/release_notes/2.15.0.txt".freeze, "doc/release_notes/2.16.0.txt".freeze, "doc/release_notes/2.17.0.txt".freeze, "doc/release_notes/2.18.0.txt".freeze, "doc/release_notes/2.19.0.txt".freeze, "doc/release_notes/2.2.0.txt".freeze, "doc/release_notes/2.20.0.txt".freeze, "doc/release_notes/2.21.0.txt".freeze, "doc/release_notes/2.22.0.txt".freeze, "doc/release_notes/2.23.0.txt".freeze, "doc/release_notes/2.24.0.txt".freeze, "doc/release_notes/2.25.0.txt".freeze, "doc/release_notes/2.26.0.txt".freeze, "doc/release_notes/2.27.0.txt".freeze, "doc/release_notes/2.28.0.txt".freeze, "doc/release_notes/2.29.0.txt".freeze, "doc/release_notes/2.3.0.txt".freeze, "doc/release_notes/2.30.0.txt".freeze, "doc/release_notes/2.31.0.txt".freeze, "doc/release_notes/2.32.0.txt".freeze, "doc/release_notes/2.33.0.txt".freeze, "doc/release_notes/2.34.0.txt".freeze, "doc/release_notes/2.35.0.txt".freeze, "doc/release_notes/2.36.0.txt".freeze, "doc/release_notes/2.4.0.txt".freeze, "doc/release_notes/2.5.0.txt".freeze, "doc/release_notes/2.6.0.txt".freeze, "doc/release_notes/2.7.0.txt".freeze, "doc/release_notes/2.8.0.txt".freeze, "doc/release_notes/2.9.0.txt".freeze]
  s.files = ["CHANGELOG".freeze, "MIT-LICENSE".freeze, "README.rdoc".freeze, "doc/account_expiration.rdoc".freeze, "doc/active_sessions.rdoc".freeze, "doc/argon2.rdoc".freeze, "doc/audit_logging.rdoc".freeze, "doc/base.rdoc".freeze, "doc/change_login.rdoc".freeze, "doc/change_password.rdoc".freeze, "doc/change_password_notify.rdoc".freeze, "doc/close_account.rdoc".freeze, "doc/confirm_password.rdoc".freeze, "doc/create_account.rdoc".freeze, "doc/disallow_common_passwords.rdoc".freeze, "doc/disallow_password_reuse.rdoc".freeze, "doc/email_auth.rdoc".freeze, "doc/email_base.rdoc".freeze, "doc/error_reasons.rdoc".freeze, "doc/http_basic_auth.rdoc".freeze, "doc/internal_request.rdoc".freeze, "doc/json.rdoc".freeze, "doc/jwt.rdoc".freeze, "doc/jwt_cors.rdoc".freeze, "doc/jwt_refresh.rdoc".freeze, "doc/lockout.rdoc".freeze, "doc/login.rdoc".freeze, "doc/login_password_requirements_base.rdoc".freeze, "doc/logout.rdoc".freeze, "doc/otp.rdoc".freeze, "doc/otp_lockout_email.rdoc".freeze, "doc/otp_modify_email.rdoc".freeze, "doc/otp_unlock.rdoc".freeze, "doc/password_complexity.rdoc".freeze, "doc/password_expiration.rdoc".freeze, "doc/password_grace_period.rdoc".freeze, "doc/password_pepper.rdoc".freeze, "doc/path_class_methods.rdoc".freeze, "doc/recovery_codes.rdoc".freeze, "doc/release_notes/1.0.0.txt".freeze, "doc/release_notes/1.1.0.txt".freeze, "doc/release_notes/1.10.0.txt".freeze, "doc/release_notes/1.11.0.txt".freeze, "doc/release_notes/1.12.0.txt".freeze, "doc/release_notes/1.13.0.txt".freeze, "doc/release_notes/1.14.0.txt".freeze, "doc/release_notes/1.15.0.txt".freeze, "doc/release_notes/1.16.0.txt".freeze, "doc/release_notes/1.17.0.txt".freeze, "doc/release_notes/1.18.0.txt".freeze, "doc/release_notes/1.19.0.txt".freeze, "doc/release_notes/1.2.0.txt".freeze, "doc/release_notes/1.20.0.txt".freeze, "doc/release_notes/1.21.0.txt".freeze, "doc/release_notes/1.22.0.txt".freeze, "doc/release_notes/1.23.0.txt".freeze, "doc/release_notes/1.3.0.txt".freeze, "doc/release_notes/1.4.0.txt".freeze, "doc/release_notes/1.5.0.txt".freeze, "doc/release_notes/1.6.0.txt".freeze, "doc/release_notes/1.7.0.txt".freeze, "doc/release_notes/1.8.0.txt".freeze, "doc/release_notes/1.9.0.txt".freeze, "doc/release_notes/2.0.0.txt".freeze, "doc/release_notes/2.1.0.txt".freeze, "doc/release_notes/2.10.0.txt".freeze, "doc/release_notes/2.11.0.txt".freeze, "doc/release_notes/2.12.0.txt".freeze, "doc/release_notes/2.13.0.txt".freeze, "doc/release_notes/2.14.0.txt".freeze, "doc/release_notes/2.15.0.txt".freeze, "doc/release_notes/2.16.0.txt".freeze, "doc/release_notes/2.17.0.txt".freeze, "doc/release_notes/2.18.0.txt".freeze, "doc/release_notes/2.19.0.txt".freeze, "doc/release_notes/2.2.0.txt".freeze, "doc/release_notes/2.20.0.txt".freeze, "doc/release_notes/2.21.0.txt".freeze, "doc/release_notes/2.22.0.txt".freeze, "doc/release_notes/2.23.0.txt".freeze, "doc/release_notes/2.24.0.txt".freeze, "doc/release_notes/2.25.0.txt".freeze, "doc/release_notes/2.26.0.txt".freeze, "doc/release_notes/2.27.0.txt".freeze, "doc/release_notes/2.28.0.txt".freeze, "doc/release_notes/2.29.0.txt".freeze, "doc/release_notes/2.3.0.txt".freeze, "doc/release_notes/2.30.0.txt".freeze, "doc/release_notes/2.31.0.txt".freeze, "doc/release_notes/2.32.0.txt".freeze, "doc/release_notes/2.33.0.txt".freeze, "doc/release_notes/2.34.0.txt".freeze, "doc/release_notes/2.35.0.txt".freeze, "doc/release_notes/2.36.0.txt".freeze, "doc/release_notes/2.4.0.txt".freeze, "doc/release_notes/2.5.0.txt".freeze, "doc/release_notes/2.6.0.txt".freeze, "doc/release_notes/2.7.0.txt".freeze, "doc/release_notes/2.8.0.txt".freeze, "doc/release_notes/2.9.0.txt".freeze, "doc/remember.rdoc".freeze, "doc/reset_password.rdoc".freeze, "doc/reset_password_notify.rdoc".freeze, "doc/session_expiration.rdoc".freeze, "doc/single_session.rdoc".freeze, "doc/sms_codes.rdoc".freeze, "doc/two_factor_base.rdoc".freeze, "doc/update_password_hash.rdoc".freeze, "doc/verify_account.rdoc".freeze, "doc/verify_account_grace_period.rdoc".freeze, "doc/verify_login_change.rdoc".freeze, "doc/webauthn.rdoc".freeze, "doc/webauthn_autofill.rdoc".freeze, "doc/webauthn_login.rdoc".freeze, "doc/webauthn_modify_email.rdoc".freeze, "doc/webauthn_verify_account.rdoc".freeze]
  s.homepage = "https://rodauth.jeremyevans.net".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--quiet".freeze, "--line-numbers".freeze, "--inline-source".freeze, "--title".freeze, "Rodauth: Ruby's Most Advanced Authentication Framework".freeze, "--main".freeze, "README.rdoc".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9.2".freeze)
  s.rubygems_version = "3.5.11".freeze
  s.summary = "Authentication and Account Management Framework for Rack Applications".freeze

  s.installed_by_version = "3.5.11".freeze if s.respond_to? :installed_by_version

  s.specification_version = 4

  s.add_runtime_dependency(%q<sequel>.freeze, [">= 4".freeze])
  s.add_runtime_dependency(%q<roda>.freeze, [">= 2.6.0".freeze])
  s.add_development_dependency(%q<tilt>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rack_csrf>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<bcrypt>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<argon2>.freeze, [">= 2".freeze])
  s.add_development_dependency(%q<mail>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rotp>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rqrcode>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<jwt>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<webauthn>.freeze, [">= 2".freeze])
  s.add_development_dependency(%q<minitest>.freeze, [">= 5.0.0".freeze])
  s.add_development_dependency(%q<minitest-global_expectations>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<minitest-hooks>.freeze, [">= 1.1.0".freeze])
  s.add_development_dependency(%q<capybara>.freeze, [">= 2.1.0".freeze])
end
